
import 'package:equatable/equatable.dart';


sealed class CurtainEvent extends Equatable {
  const CurtainEvent();

  @override
  List<Object> get props => [];
}

class CurtainFetchDeviceStatus extends CurtainEvent {
  final String deviceId;

  const CurtainFetchDeviceStatus(this.deviceId);

  @override
  List<Object> get props => [deviceId];
}

class CurtainControl extends CurtainEvent {
  final String deviceId;
  final String code;
  final bool value;

  const CurtainControl(
      {required this.deviceId, required this.code, required this.value});

  @override
  List<Object> get props => [deviceId, code, value];
}
